# Uses of Class
javax.management.Notification

Packages that use Notification
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.monitor
Provides the definition of the monitor classes.
javax.management.relation
Provides the definition of the Relation Service.
javax.management.remote
Interfaces for remote access to JMX MBean servers.
javax.management.timer
Provides the definition of the Timer MBean.

## Uses of Notification in javax.management

Subclasses of Notification in javax.management
Modifier and Type
Class
Description
`class`
`AttributeChangeNotification`
Provides definitions of the attribute change notifications sent by MBeans.
`class`
`MBeanServerNotification`
Represents a notification emitted by the MBean Server through the MBeanServerDelegate MBean.
Methods in javax.management with parameters of type Notification
Modifier and Type
Method
Description
`protected void`
NotificationBroadcasterSupport.`handleNotification​(NotificationListener listener, Notification notif, Object handback)`
This method is called by `sendNotification` for each listener in order to send the notification to that listener.
`void`
NotificationListener.`handleNotification​(Notification notification, Object handback)`
Invoked when a JMX notification occurs.
`boolean`
AttributeChangeNotificationFilter.`isNotificationEnabled​(Notification notification)`
Invoked before sending the specified notification to the listener.
`boolean`
NotificationFilter.`isNotificationEnabled​(Notification notification)`
Invoked before sending the specified notification to the listener.
`boolean`
NotificationFilterSupport.`isNotificationEnabled​(Notification notification)`
Invoked before sending the specified notification to the listener.
`void`
MBeanServerDelegate.`sendNotification​(Notification notification)`
Enables the MBean server to send a notification.
`void`
NotificationBroadcasterSupport.`sendNotification​(Notification notification)`
Sends a notification.
`void`
StandardEmitterMBean.`sendNotification​(Notification n)`
Sends a notification.

## Uses of Notification in javax.management.modelmbean

Methods in javax.management.modelmbean with parameters of type Notification
Modifier and Type
Method
Description
`void`
ModelMBeanNotificationBroadcaster.`sendNotification​(Notification ntfyObj)`
Sends a Notification which is passed in to the registered Notification listeners on the ModelMBean as a jmx.modelmbean.generic notification.
`void`
RequiredModelMBean.`sendNotification​(Notification ntfyObj)`

## Uses of Notification in javax.management.monitor

Subclasses of Notification in javax.management.monitor
Modifier and Type
Class
Description
`class`
`MonitorNotification`
Provides definitions of the notifications sent by monitor MBeans.

## Uses of Notification in javax.management.relation

Subclasses of Notification in javax.management.relation
Modifier and Type
Class
Description
`class`
`RelationNotification`
A notification of a change in the Relation Service.
Methods in javax.management.relation with parameters of type Notification
Modifier and Type
Method
Description
`void`
RelationService.`handleNotification​(Notification notif, Object handback)`
Invoked when a JMX notification occurs.
`boolean`
MBeanServerNotificationFilter.`isNotificationEnabled​(Notification notif)`
Invoked before sending the specified notification to the listener.

## Uses of Notification in javax.management.remote

Subclasses of Notification in javax.management.remote
Modifier and Type
Class
Description
`class`
`JMXConnectionNotification`
Notification emitted when a client connection is opened or closed or when notifications are lost.
Methods in javax.management.remote that return Notification
Modifier and Type
Method
Description
`Notification`
TargetedNotification.`getNotification()`
The emitted notification.
Constructors in javax.management.remote with parameters of type Notification
Modifier
Constructor
Description
``
`TargetedNotification​(Notification notification, Integer listenerID)`
Constructs a `TargetedNotification` object.

## Uses of Notification in javax.management.timer

Subclasses of Notification in javax.management.timer
Modifier and Type
Class
Description
`class`
`TimerNotification`
This class provides definitions of the notifications sent by timer MBeans.